import os


from .common import *  # noqa
from .common import BASE_DIR, INSTALLED_APPS, MIDDLEWARE_CLASSES


EMAIL_BACKEND = "django.core.mail.backends.console.EmailBackend"

DEBUG = True

INSTALLED_APPS += ["debug_toolbar"]
MIDDLEWARE_CLASSES = (
    ["debug_toolbar.middleware.DebugToolbarMiddleware"]
    + MIDDLEWARE_CLASSES
)

STATIC_URL = "/static/"
MEDIA_URL = "/media/"

DATABASES = {
    "default": {
        "ENGINE": "django.db.backends.sqlite3",
        "NAME": os.path.join(BASE_DIR, "db.sqlite3"),
    }
}
