# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('gestion', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Prop',
            fields=[
                ('id', models.AutoField(primary_key=True, verbose_name='ID', auto_created=True, serialize=False)),
                ('nom', models.CharField(max_length=100)),
                ('artiste', models.CharField(max_length=100, blank=True)),
                ('lien', models.URLField(blank=True)),
                ('nboui', models.IntegerField(verbose_name='oui', default=0)),
                ('nbnon', models.IntegerField(verbose_name='non', default=0)),
                ('user', models.ForeignKey(verbose_name='Proposé par', to='gestion.ErnestoUser')),
            ],
            options={
                'verbose_name': 'Proposition',
            },
        ),
        migrations.CreateModel(
            name='Reponses',
            fields=[
                ('id', models.AutoField(primary_key=True, verbose_name='ID', auto_created=True, serialize=False)),
                ('reponse', models.CharField(verbose_name='Réponse', choices=[('oui', 'Oui'), ('non', 'Non')], max_length=20, blank=True)),
                ('part', models.ForeignKey(to='gestion.ErnestoUser')),
                ('prop', models.ForeignKey(to='propositions.Prop')),
            ],
        ),
    ]
