from django import forms
from propositions.models import Prop


class PropForm(forms.ModelForm):
    class Meta:
        model = Prop
        fields = ('nom', 'artiste', 'lien')
        widgets = {
            'lien': forms.TextInput(attrs={"placeholder": "facultatif"}),
            'nom': forms.TextInput(attrs={"placeholder": "Nom du morceau"}),
            'artiste': forms.TextInput(attrs={"placeholder": "facultatif"}),
        }
